package com.fs.his.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 订单代服管家对象 fs_store_order_df
 *
 * @author fs
 * @date 2025-07-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsStoreOrderDf extends BaseEntity{

    /** 订单id */
    @TableId
    private Long orderId;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private String orderCode;

    @Excel(name = "订单编号")
    private String appKey;

    @Excel(name = "订单编号")
    private String appSecret;

    @Excel(name = "订单编号")
    private String loginAccount;

    /** 顺丰月结账户 */
    @Excel(name = "顺丰月结账户")
    private String monthlyCard;

    /** 订单总价 */
    @Excel(name = "订单总价")
    private BigDecimal totalPrice;

    /** 平台收款 */
    @Excel(name = "平台收款")
    private BigDecimal platformPrice;

    /** 平台收款 */
    @Excel(name = "2:取消订单 1:下单")
    private Integer status;


}
